### Method

# Soup WebsocketConnection get_origin

#### Declaration [src]

    const char*
    soup_websocket_connection_get_origin (
      SoupWebsocketConnection* self
    )

#### Description [src]

Get the origin of the WebSocket.

Gets property | `Soup.WebsocketConnection:origin`

#### Return value

Type: `const char*`

The origin.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.